Get ticket purchase detail by order id

  • This API is used to get ticketing purchaser data by order id.
  • When the user clicks on the My Activity page from the profile menu, the user gets the list of event ticket details for a particular event like eventTicketId, orderId, paidAmount, etc.
  • We need to pass the authorization token in API in the header.
  • Authorization token will be generated when the user login to the system.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API returns a JSON response with 200 status if API is executed successfully.

Here is the description of response attributes, which returns to the form of JSON :

AttributeDescription
attributesThis field contains the array of holder related attributes information like :
  • *name**: It is the name of Html field
  • *type**: It is the type of Html field, possible values are TEXT,DROPDOWN,EMAIL,NUMBER,DATE
  • *value**: It is the value of the particular field
  • *defaultValue**: It contains the default value for the field
  • *mandatory**: It uses to check if the field is mandatory during ticket purchase
  • *eventTicketTypeId**: This will check if an attribute needs to show for a specific event type
questionsThis field contains an array of question-related attributes information like :
  • *name**: It is the name of Html field
  • *type**: It is the type of Html field, possible values are TEXT,DROPDOWN,EMAIL,NUMBER,DATE
  • *value**: It is the value of the particular field
  • *defaultValue**: It contains the default value for the field
  • *mandatory**: It uses to check if the field is mandatory during ticket purchase
  • *eventTicketTypeId**: This will check if the attribute needs to show fo specific event type
seatNumberIt contains the selected seat number of the holder
eventTicketingIdIt contains the event ticket Id of the order
eventKeyIt contains the combination of event Id and Recurring Event Id if have

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing

Error codeError Description
200Ok
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden
404Order you are looking for is not found
Path Params
int64
required

It is the ticket purchase order id

Query Params
string
Defaults to TICKET

It is the data type required to get ticket holder attribute data

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain